SDL_GPUTextureSamplerBinding Struct Reference

`#include <SDL_gpu.h>`

## Data Fields

SDL_GPUTexture * | texture
SDL_GPUSampler * | sampler

## Detailed Description

A structure specifying parameters in a sampler binding call.

Since
  This struct is available since SDL 3.2.0.

See also
  SDL_BindGPUVertexSamplers
  SDL_BindGPUFragmentSamplers
  SDL_GPUTexture
  SDL_GPUSampler

Definition at line 2141 of file SDL_gpu.h.

## Field Documentation

## sampler

SDL_GPUSampler* SDL_GPUTextureSamplerBinding::sampler

The sampler to bind.

Definition at line 2144 of file SDL_gpu.h.

## texture

SDL_GPUTexture* SDL_GPUTextureSamplerBinding::texture

The texture to bind. Must have been created with SDL_GPU_TEXTUREUSAGE_SAMPLER.

Definition at line 2143 of file SDL_gpu.h.

The documentation for this struct was generated from the following file:

- SDL_gpu.h